Apache JMeter

## org.apache.jmeter.timers
Class UniformRandomTimer

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.timers.ConstantTimer
              org.apache.jmeter.timers.RandomTimer
                  org.apache.jmeter.timers.UniformRandomTimer

All Implemented Interfaces:
  Serializable, Cloneable, LoopIterationListener, TestElement, Timer

    public class UniformRandomTimer

extends RandomTimer
implements Serializable

This class implements those methods needed by RandomTimer to be instantiable and implements a random delay with an average value and a uniformly distributed variation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.timers.RandomTimer
`random, RANGE`

Fields inherited from class org.apache.jmeter.timers.ConstantTimer
`DELAY`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`UniformRandomTimer()`

Method Summary
`long` `delay()` Retrieve the delay to use during test execution.
`String` `toString()` Provide a description of this timer class.

Methods inherited from class org.apache.jmeter.timers.RandomTimer
`getRange, setRange, setRange`

Methods inherited from class org.apache.jmeter.timers.ConstantTimer
`getDelay, iterationStart, setDelay`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniformRandomTimer

    public UniformRandomTimer()

Method Detail

### delay

    public long delay()

  Description copied from class: `ConstantTimer`
  Retrieve the delay to use during test execution.

  Specified by:
    `delay` in interface `Timer`
  Overrides:
    `delay` in class `ConstantTimer`
  Returns:
    the delay.

### toString

    public String toString()

  Description copied from class: `ConstantTimer`
  Provide a description of this timer class.

  Overrides:
    `toString` in class `ConstantTimer`
  Returns:
    the description of this timer class.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.